# tox (https://tox.readthedocs.io/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
envlist = py{36,37,38},py39-cov
skipsdist=True

[testenv:py39-cov]
deps =
    pytest-cov
    coveralls
passenv =
  CI
  TRAVIS
  TRAVIS_*

commands =
    coverage run -m py.test --doctest-modules --cov-report=xml 
    coveralls


[testenv:py{36,37,38}]
deps =
    pytest-cov

commands = 
    coverage run -m py.test --doctest-modules --cov-report=xml 

